sp2Mondrian {maptools} | R Documentation

## write map data for Mondrian

### Description

The function outputs a SpatialPolygonsDataFrame object to be used by Mondrian

### Usage

    sp2Mondrian(SP, file, new_format=TRUE)

### Arguments

`SP` | a SpatialPolygonsDataFrame object
`file` | file where output is written
`new_format` | default TRUE, creates a text data file and a separate map file; the old format put both data sets in a single file - the map file is named by inserting "MAP\_" into the file= argument after the rightmost directory separator (if any)

### Note

At this release, the function writes out a text file with both data and polygon(s) identified as belonging to each row of data.

### Author(s)

Patrick Hausmann and Roger Bivand

### References

http://www.theusrus.de/Mondrian/

### Examples

    ## Not run:
    xx <- readShapePoly(system.file("shapes/columbus.shp", package="maptools")[1])
    sp2Mondrian(xx, file="columbus1.txt")
    xx <- readShapePoly(system.file("shapes/sids.shp", package="maptools")[1])
    sp2Mondrian(xx, file="sids1.txt")

    ## End(Not run)

[Package maptools version 0.8-39 Index]